Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612636 - QMF: need reference from jobserver back to scheduler and impl support for same
QMF: need reference from jobserver back to scheduler and impl support for same
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
beta
All Linux
high Severity high
: 1.3
: ---
Assigned To: Pete MacKinnon
Martin Kudlej
:
Depends On: 612682
Blocks: 610833
  Show dependency treegraph
 
Reported: 2010-07-08 12:35 EDT by Pete MacKinnon
Modified: 2010-10-20 07:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 07:29:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Py qmf inventory script (1.06 KB, text/x-python)
2010-09-08 08:48 EDT, Pete MacKinnon
no flags Details

  None (edit)
Description Pete MacKinnon 2010-07-08 12:35:00 EDT
- Update the grid QMF schemas so that the jobserver has a navigation reference back to its complementary scheduler (schedd).

- Apply non-UUID convention across usages of setName/addObject so that disparate agents/objects can reliably "find" each other

- Make use of forthcoming QMFv2 API changes from kgiusti that enable arbitrary OID lookups
Comment 1 Pete MacKinnon 2010-07-20 16:12:00 EDT
FH sha 25d3bef84
Comment 2 Martin Kudlej 2010-09-08 08:19:13 EDT
How can I test this? How can I reproduce this issue? In which version I can find the fix of this?
Comment 3 Pete MacKinnon 2010-09-08 08:48:18 EDT
Created attachment 445975 [details]
Py qmf inventory script
Comment 4 Pete MacKinnon 2010-09-08 08:50:14 EDT
Use a tool like that attached to confirm that the references are consistent between a submission, a job server and a scheduler.
Comment 5 Pete MacKinnon 2010-09-08 08:52:56 EDT
The fix went in to 7.4.4-0.5.
Comment 6 Martin Kudlej 2010-10-04 06:56:45 EDT
I've tested this with
condor-7.4.4-0.16
condor-debuginfo-7.4.4-0.16
condor-qmf-7.4.4-0.16
qpid-cpp-client-0.7.946106-17
qpid-tools-0.7.946106-11
python-qpid-0.7.946106-14
qpid-cpp-server-0.7.946106-17

in (multi-scheduler, one jobserver environment) and in (one scheduler per jobserver environment) on RHEL 5.5/4.8 x i386/x86_64
with qpid-tool and there is correct link from jobserver to scheduler. -->
VERIFIED

Note You need to log in before you can comment on or make changes to this bug.